## ros-noetic-gpp-plugin 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(gpp_plugin)

# define the required components
set(catkin_PACKAGES costmap_2d gpp_interface mbf_costmap_core mbf_msgs nav_core pluginlib xmlrpcpp)

find_package(catkin REQUIRED COMPONENTS ${catkin_PACKAGES})

catkin_package(
 INCLUDE_DIRS src
 LIBRARIES ${PROJECT_NAME}
 CATKIN_DEPENDS ${catkin_PACKAGES}
)

add_library(${PROJECT_NAME}  src/${PROJECT_NAME}.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
target_include_directories(${PROJECT_NAME} PUBLIC ${catkin_INCLUDE_DIRS} src)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY src/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  # gtests
  catkin_add_gtest(${PROJECT_NAME}_test test/load_plugin.cpp)
  target_link_libraries(${PROJECT_NAME}_test ${PROJECT_NAME})

  # ros-tests
  add_rostest_gmock(array_plugin_manager_test
    test/array_plugin_manager.launch
    test/array_plugin_manager.cpp)
  target_link_libraries(array_plugin_manager_test ${PROJECT_NAME})

  add_rostest(test/mbf_costmap_nav.launch)
  add_rostest(test/move_base.launch)

endif()

=== debian/changelog ===
ros-noetic-gpp-plugin (0.1.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dima Dorezyuk <dmitrij.dorezyuk@hotmail.de>  Wed, 27 Jan 2021 10:00:55 -0000

ros-noetic-gpp-plugin (0.0.1-1focal) focal; urgency=high

  * use default values
  * use mbf-msgs for mbf related constants
  * update documentation
  * add gpp_update_map
  * add gpp_prune_path example
  * formatting
  * update docs
  * disable spam in the test
  * Dima/dev
  * adjust doc
  * update documentation
  * Dima/tags
  * fix in simulation
  * adjust doc
  * extend the PluginGroup
  * rename ManagerInterface to PluginGroup
  * adjust doc
  * add missing include
  * add tags
  * add doc for the build step
  * Dima/docs
  * adjust constants
  * add doc
  * fix func-check
  * add doc
  * unify clang-format file
  * add licence
  * extend test
  * cleanup
  * refactor runPlugins
  * add warning
  * Dima/add mbf interface
  * move util function back to cpp
  * formating
  * clean up
  * fix bugs
  * flip default interface
  * add mbf-interface support
  * enable ci
  * disable problematic test
  * fix test
  * add tests
  * formatting
  * init
  * Contributors: Dima Dorezyuk

 -- Dima Dorezyuk <dmitrij.dorezyuk@hotmail.de>  Wed, 27 Jan 2021 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-gpp-plugin
Section: misc
Priority: optional
Maintainer: Dima Dorezyuk <dmitrij.dorezyuk@hotmail.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-costmap-2d, ros-noetic-global-planner, ros-noetic-gpp-interface, ros-noetic-mbf-costmap-core, ros-noetic-mbf-costmap-nav, ros-noetic-mbf-msgs, ros-noetic-move-base, ros-noetic-nav-core, ros-noetic-pluginlib, ros-noetic-rostest, ros-noetic-xmlrpcpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-gpp-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-costmap-2d, ros-noetic-gpp-interface, ros-noetic-mbf-costmap-core, ros-noetic-mbf-msgs, ros-noetic-nav-core, ros-noetic-pluginlib, ros-noetic-xmlrpcpp
Description: The gpp_plugin package offers a pipeline for running global planners together with auxiliary pre- and post-processing functions
